## org.mortbay.jetty.client.security
Class SecurityListener

    java.lang.Object
      org.mortbay.jetty.client.HttpEventListenerWrapper
          org.mortbay.jetty.client.security.SecurityListener

All Implemented Interfaces:
  HttpEventListener

    public class SecurityListener

extends HttpEventListenerWrapper

SecurityListener Allow for insertion of security dialog when performing an HttpExchange.

Constructor Summary
`SecurityListener(HttpDestination destination, HttpExchange ex)`

Method Summary
`void` `onRequestComplete()`
`void` `onResponseComplete()`
`void` `onResponseHeader(Buffer name, Buffer value)`
`void` `onResponseStatus(Buffer version, int status, Buffer reason)`
`void` `onRetry()`
`protected Map<String,String>` `scrapeAuthenticationDetails(String authString)` scrapes a set of authentication details from the authString
`protected String` `scrapeAuthenticationType(String authString)` scrapes an authentication type from the authString

Methods inherited from class org.mortbay.jetty.client.HttpEventListenerWrapper
`getEventListener, isDelegatingRequests, isDelegatingResponses, onConnectionFailed, onException, onExpire, onRequestCommitted, onResponseContent, onResponseHeaderComplete, setDelegatingRequests, setDelegatingResponses, setEventListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityListener

    public SecurityListener(HttpDestination destination,
                            HttpExchange ex)

Method Detail

### scrapeAuthenticationType

    protected String scrapeAuthenticationType(String authString)

  scrapes an authentication type from the authString

  Parameters:
    `authString` -
  Returns:

### scrapeAuthenticationDetails

    protected Map<String,String> scrapeAuthenticationDetails(String authString)

  scrapes a set of authentication details from the authString

  Parameters:
    `authString` -
  Returns:

### onResponseStatus

    public void onResponseStatus(Buffer version,
                                 int status,
                                 Buffer reason)
                          throws IOException

  Specified by:
    `onResponseStatus` in interface `HttpEventListener`
  Overrides:
    `onResponseStatus` in class `HttpEventListenerWrapper`
  Throws:
    `IOException`

### onResponseHeader

    public void onResponseHeader(Buffer name,
                                 Buffer value)
                          throws IOException

  Specified by:
    `onResponseHeader` in interface `HttpEventListener`
  Overrides:
    `onResponseHeader` in class `HttpEventListenerWrapper`
  Throws:
    `IOException`

### onRequestComplete

    public void onRequestComplete()
                           throws IOException

  Specified by:
    `onRequestComplete` in interface `HttpEventListener`
  Overrides:
    `onRequestComplete` in class `HttpEventListenerWrapper`
  Throws:
    `IOException`

### onResponseComplete

    public void onResponseComplete()
                            throws IOException

  Specified by:
    `onResponseComplete` in interface `HttpEventListener`
  Overrides:
    `onResponseComplete` in class `HttpEventListenerWrapper`
  Throws:
    `IOException`

### onRetry

    public void onRetry()

  Specified by:
    `onRetry` in interface `HttpEventListener`
  Overrides:
    `onRetry` in class `HttpEventListenerWrapper`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.